Name:		keychain
Version:	2.7.1
Release:	%mkrel 4
Summary:	Keychain manages ssh-agent to minimise passphrase entry for ssh
License:	GPLv2
Group:		Networking/Remote access
URL:		http://www.funtoo.org/en/security/%{name}/intro
Source0:	http://www.funtoo.org/archive/%{name}/%name-%version.tar.bz2
Source1:	%{name}.profile.sh
Source2:	%{name}.profile.csh
#Patch500:	keychain-2.6.8-parse_gpg_keys.patch
Suggests:	openssh-askpass
Requires:	openssh-clients
Requires:	gnupg2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

Run keychain once manually per user, after which keychain will run (quietly)
every time you log in (from a profile script).

Hint: If you get tired of keychain, delete ~/.keychain .

%prep
%setup -q
#%patch500 -p1 -b .parse_gpg_keys

%build
%make

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.sh
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/99%{name}.csh
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 keychain.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.rst ChangeLog COPYING.txt keychain.pod keychain.txt
%{_bindir}/*
%{_sysconfdir}/profile.d/*
%{_mandir}/man1/%{name}*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.7.1-4.mga3
+ Revision: 356134
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 ahmad <ahmad> 2.7.1-3.mga1
+ Revision: 41439
- imported package keychain

